#
# spec file for package libXcursor
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libXcursor
%define lname	libXcursor1
Version:        1.1.14
Release:        7.3
Summary:        X Window System Cursor management library
License:        MIT
Group:          Development/Libraries/C and C++
Url:            http://xorg.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXcursor
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXcursor/
Source:         http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.60, automake, libtool
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fixesproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrender) >= 0.8.2

%description
Xcursor a library designed to help locate and load cursors. Cursors
can be loaded from files or memory. A library of common cursors
exists which map to the standard X cursor names.Cursors can exist in
several sizes and the library automatically picks the best size.

%package -n %lname
Summary:        X Window System Cursor management library
Group:          System/Libraries

%description -n %lname
Xcursor a library designed to help locate and load cursors. Cursors
can be loaded from files or memory. A library of common cursors
exists which map to the standard X cursor names.Cursors can exist in
several sizes and the library automatically picks the best size.

%package devel
Summary:        Development files for the X Window System Cursor library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
Xcursor a library designed to help locate and load cursors. Cursors
can be loaded from files or memory. A library of common cursors
exists which map to the standard X cursor names.Cursors can exist in
several sizes and the library automatically picks the best size.

This package contains the development headers for the library found
in %lname.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libXcursor.so.1*

%files devel
%defattr(-,root,root)
%_includedir/X11/*
%_libdir/libXcursor.so
%_libdir/pkgconfig/xcursor.pc
%_mandir/man3/*

%changelog
* Mon Apr 28 2014 sndirsch@suse.com
- added missing pkgconfig(xextproto)
* Sat Jun  1 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.1.14:
  This release delivers the fix for security vulnerability CVE-2013-2003
  and makes the Makefile.am more compatible with future automake releases.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
- Avoid calling fdupes outside of /usr
* Thu Apr 12 2012 vuntz@opensuse.org
- Update to version 1.1.13:
  + Make the version number reported in Xcursor.h match the one
    reported in xcursor.pc
  + Fix issues found by Parfait bug checking tool
  + Build system improvements
- Changes from version 1.1.12:
  + Fix leaks
  + Fix compiler warnings and issues found by clang
  + Build system improvements
* Sat Feb 11 2012 jengelh@medozas.de
- Provide package descriptions and update homepage URL
* Tue Feb  7 2012 jengelh@medozas.de
- Split xorg-x11-libs into separate packages
